Bug 1675018 - golang-github-fsnotify-fsnotify: FTBFS in Fedora rawhide/f30
Summary: golang-github-fsnotify-fsnotify: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-fsnotify-fsnotify
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Frederico Lima
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:34 UTC by Fedora Release Engineering
Modified: 2019-03-03 21:53 UTC (History)
4 users (show)

Fixed In Version: golang-github-fsnotify-fsnotify-1.4.7-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-03 21:53:25 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (717 bytes, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Github fsnotify fsnotify issues 253 None None None 2019-02-17 06:59:00 UTC

Description Fedora Release Engineering 2019-02-11 18:34:35 UTC
golang-github-fsnotify-fsnotify failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32395356


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-github-fsnotify-fsnotify at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-fsnotify-fsnotify will be orphaned. Before branching of Fedora 31,
golang-github-fsnotify-fsnotify will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:34:37 UTC
Created attachment 1530269 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:34:39 UTC
Created attachment 1530270 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:34:40 UTC
Created attachment 1530271 [details]
state.log

Comment 4 Elliott Sales de Andrade 2019-03-03 21:53:25 UTC
It appears that the final issue was fixed by Go 1.12 final release.


Note You need to log in before you can comment on or make changes to this bug.